Package org.eclipse.jface.databinding.fieldassist

# Class ControlDecorationSupport

java.lang.Object
org.eclipse.jface.databinding.fieldassist.ControlDecorationSupport

public class ControlDecorationSupport extends Object
Decorates the underlying controls of the target observables of a `ValidationStatusProvider` with `ControlDecoration`s mirroring the current validation status. Only those target observables which implement `ISWTObservable` or `IViewerObservable` are decorated.

Since:
  1.4

## Method Summary

Modifier and Type
Method
Description
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservable... targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservableList<IObservable> targetsToBeDecorated)`
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(ValidationStatusProvider validationStatusProvider, int position)`
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(ValidationStatusProvider validationStatusProvider, int position, Composite composite)`
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`static ControlDecorationSupport`
`create(ValidationStatusProvider validationStatusProvider, int position, Composite composite, ControlDecorationUpdater updater)`
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
`void`
`dispose()`
Disposes this ControlDecorationSupport, including all control decorations managed by it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static ControlDecorationSupport create(ValidationStatusProvider validationStatusProvider, int position)
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatusProvider` - the `ValidationStatusProvider` to monitor.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
Returns:
  a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, IObservable... targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, IObservableList<IObservable> targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the given validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### create

public static ControlDecorationSupport create(ValidationStatusProvider validationStatusProvider, int position, Composite composite)
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatusProvider` - the `ValidationStatusProvider` to monitor.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecoration` instances.
  `composite` - the composite to use when constructing `ControlDecoration` instances.
Returns:
  a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservable... targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `composite` - the composite to use when constructing `ControlDecoration` instances.
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, Composite composite, IObservableList<IObservable> targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `composite` - the composite to use when constructing `ControlDecoration` instances.
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### create

public static ControlDecorationSupport create(ValidationStatusProvider validationStatusProvider, int position, Composite composite, ControlDecorationUpdater updater)
Creates a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatusProvider` - the `ValidationStatusProvider` to monitor.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecoration` instances.
  `composite` - the composite to use when constructing `ControlDecoration` instances.
  `updater` - custom strategy for updating the `ControlDecoration`(s) whenever the validation status changes.
Returns:
  a ControlDecorationSupport which observes the validation status of the specified `ValidationStatusProvider`, and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservable... targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `composite` - the composite to use when constructing `ControlDecoration` instances.
  `updater` - custom strategy for updating the `ControlDecoration`(s) whenever the validation status changes.
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### create

public static ControlDecorationSupport create(IObservableValue<IStatus> validationStatus, int position, Composite composite, ControlDecorationUpdater updater, IObservableList<IObservable> targetsToBeDecorated)
Creates a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.

Parameters:
  `validationStatus` - an `IObservable` containing an `IStatus`, which will be tracked by the `ControlDecorationSupport`.
  `position` - SWT alignment constant (e.g. SWT.LEFT | SWT.TOP) to use when constructing `ControlDecorationSupport`
  `composite` - the composite to use when constructing `ControlDecoration` instances.
  `updater` - custom strategy for updating the `ControlDecoration`(s) whenever the validation status changes.
  `targetsToBeDecorated` - the target observables, which contain widget to be decorated according to the current validation status
Returns:
  a ControlDecorationSupport which observes the validation status and displays a `ControlDecoration` over the underlying SWT control of all target observables that implement `ISWTObservable` or `IViewerObservable`.
Since:
  1.8

### dispose

public void dispose()
Disposes this ControlDecorationSupport, including all control decorations managed by it. A ControlDecorationSupport is automatically disposed when its target ValidationStatusProvider is disposed.